import api_game as api_game
import game_1 as quest_game

str_path_img="data\\img\\"
str_img_menu=str_path_img+"menu\\game\\object_select.jpg"

music_location="data\\sound\\lost-night-jungle.ogg"

def on_create():
	global music_location
	api_game.load_stream(music_location,1)
	api_game.fade_music(music_location,0,3)

	str_path_icon=str_path_img+"lev\\"+__name__+"\\objects_icon\\"
	str_path_m_icon=str_path_img+"lev\\"+__name__+"\\items\\"
	quest_game.set_path_small_icon(str_path_img+"lev\\"+__name__+"\\icons\\")

	api_game.load_stream("data\\sound\\quest\\q_vodopad.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\q_vodopad.ogg",0.1)
	api_game.play_sound("data\\sound\\quest\\q_vodopad.ogg",1)

	api_game.load_stream("data\\sound\\quest\\amb_sea.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_sea.ogg",0.1)
	api_game.play_sound("data\\sound\\quest\\amb_sea.ogg",1)

	api_game.load_stream("data\\sound\\quest\\amb_les_water.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_les_water.ogg",0.3)
	api_game.play_sound("data\\sound\\quest\\amb_les_water.ogg",1)

	api_game.enable_visibility(0,"vint", 0)
	api_game.enable_visibility(0,"chest_open", 0)
	api_game.enable_visibility(0,"light", 0)
	api_game.enable_visibility(0,"fourth_object", 0)
	api_game.enable_visibility(0,"sprMap", 0)
	api_game.enable_visibility(0,"flag", 0)
	api_game.enable_visibility(0,"vkl_1", 0)
	api_game.enable_update(0,"vkl_1", 0)
	api_game.enable_visibility(0,"vkl_2", 0)
	api_game.enable_update(0,"vkl_2", 0)
	api_game.enable_visibility(0,"vkl_3", 0)
	api_game.enable_update(0,"vkl_3", 0)


	str_icons_menu=[str_path_icon+"item1_1.jpg",str_path_icon+"item1_2.jpg",str_path_icon+"item1_3.jpg",str_path_icon+"item1_4.jpg",str_path_icon+"item1_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_2m.jpg",str_path_m_icon+"item1_3m.jpg",str_path_m_icon+"item1_4m.jpg",str_path_m_icon+"item1_5m.jpg","","",""]
	str_objects_on_loc=["item1_1","item1_2","item1_3","item1_4","item1_5","","",""]
	quest_game.add_of("first_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 0,0,20)

        str_icons_menu=[str_path_icon+"item2_1.jpg",str_path_icon+"item2_1.jpg",str_path_icon+"item2_1.jpg",str_path_icon+"item2_1.jpg",str_path_icon+"item2_1.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_1m.jpg","","",""]
	str_objects_on_loc=["item2_1","item2_2","item2_3","item2_4","item2_5","","",""]
	quest_game.add_of("second_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 0,0,30)


	str_icons_menu=[str_path_icon+"item5_1.jpg",str_path_icon+"item5_2.jpg",str_path_icon+"item5_3.jpg",str_path_icon+"item5_4.jpg",str_path_icon+"item5_4.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_2m.jpg",str_path_m_icon+"item5_3m.jpg",str_path_m_icon+"item5_4m.jpg",str_path_m_icon+"item5_4m.jpg","","",""]
	str_objects_on_loc=["item5_1","item5_2","item5_3","item5_4","item5_5","","",""]
	quest_game.add_of("fifth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 1.41,0,0)

	str_icons_menu=[str_path_icon+"item3_1.jpg",str_path_icon+"item3_2.jpg",str_path_icon+"item3_3.jpg",str_path_icon+"item3_4.jpg",str_path_icon+"item3_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item3_1m.jpg",str_path_m_icon+"item3_2m.jpg",str_path_m_icon+"item3_3m.jpg",str_path_m_icon+"item3_4m.jpg",str_path_m_icon+"item3_5m.jpg","","",""]
	str_objects_on_loc=["item3_1","item3_2","item3_3","item3_4","item3_5","","",""]
	quest_game.add_of("three_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, -1.41,0,0)

	str_icons_menu=[str_path_icon+"item4_1.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_3.jpg",str_path_icon+"item4_4.jpg",str_path_icon+"item4_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item4_1m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_3m.jpg",str_path_m_icon+"item4_4m.jpg",str_path_m_icon+"item4_5m.jpg","","",""]
	str_objects_on_loc=["item4_1","item4_2","item4_3","item4_4","item4_5","","",""]
	quest_game.add_of("fourth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc, 3.14,22,0)


	quest_game.set_collect_sound("three_object","data\\sound\\quest\\q_molotok.ogg")
	quest_game.set_collect_sound("fourth_object","data\\sound\\quest\\q_skrip.ogg")
	quest_game.set_collect_sound("fifth_object","data\\sound\\quest\\q_parus.ogg")

	quest_game.set_state_of("first_object", 2)
	api_game.set_goal("goal_14_1")


def on_mouse_down_of(object_name, p_object, state):
	if object_name == "first_object" and state == 3:
		quest_game.show_object("vint","vint_rotate",0.5,0,0)
		quest_game.set_state_of("second_object", 2)
		quest_game.add_oc("secret_1", "data\\img\\lev\\loc_14_1\\mini\\secret_1.gif", "vkl_1")	
		quest_game.add_oc("secret_2", "data\\img\\lev\\loc_14_1\\mini\\secret_2.gif", "vkl_2")
		api_game.set_goal("goal_14_2")

	elif object_name == "second_object" and state == 3:
		quest_game.show_object("light","quest_anim",0.5,0,0)
		quest_game.show_object("second_object","quest_anim",0.5,1,0)
		quest_game.set_state_of("fifth_object", 2)
		api_game.set_goal("goal_14_3")

	elif object_name == "three_object" and state == 3:
		quest_game.show_object("fourth_object","quest_anim",0.5,0,0)
		quest_game.set_state_of("fourth_object", 2)
		api_game.set_goal("goal_14_4")
	elif object_name == "fourth_object" and state == 3:		
		quest_game.show_object("chest_open","quest_anim",0.5,0,0)
		quest_game.add_oc("secret_3","data\\img\\lev\\loc_14_1\\objects\\chest_open_glow.jpg","vkl_3")
		p_owner = api_game.get_child(0,"vkl_3")
		quest_game.add_object_check(p_owner,"sprMap","")
		api_game.set_goal("goal_14_5")
	elif object_name == "fifth_object" and state == 3:
		api_game.set_goal("goal_14_6")
		quest_game.show_object("flag","quest_anim",0.5,0,0)
		quest_game.set_state_of("three_object", 2)
				 
def on_stop_anim(object_name, anim_name, p_object, i_track):	
	if object_name == "vint" and i_track == 0:
		api_game.loop_anim(0,"vint","vint_rotate",0.5,1)

def on_mouse_down_simple(object_name,p_object):
	if object_name == "sprMap":
		p_owner = api_game.get_child(0,"vkl_3")
		api_game.play_anim(p_owner,"sprMap","quest_anim",0.5,1)
		api_game.game_win()
